[arch-commits] Commit in ubuntulooks/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri May 1 01:15:42 EDT 2009


    Date: Friday, May 1, 2009 @ 01:15:41
  Author: eric
Revision: 37207

Merged revisions 37204 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/ubuntulooks/trunk

........
  r37204 | eric | 2009-05-01 00:58:48 -0400 (Fri, 01 May 2009) | 2 lines
  
  upgpkg: ubuntulooks 0.9.12-2
      License rebuild, Added url
........

Modified:
  ubuntulooks/repos/extra-i686/	(properties)
  ubuntulooks/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)


Property changes on: ubuntulooks/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /ubuntulooks/trunk:1-20569
   + /ubuntulooks/trunk:1-37206

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-05-01 05:06:36 UTC (rev 37206)
+++ extra-i686/PKGBUILD	2009-05-01 05:15:41 UTC (rev 37207)
@@ -3,27 +3,28 @@
 
 pkgname=ubuntulooks
 pkgver=0.9.12
-pkgrel=1
+pkgrel=2
 pkgdesc="Ubuntu theme engines for GTK+ 2"
 arch=(i686 x86_64)
+url="http://packages.ubuntu.com/hardy-updates/gtk2-engines-ubuntulooks"
+license=('GPL2')
 depends=('gtk2>=2.10.0')
 makedepends=('pkgconfig')
 options=(!libtool)
 source=(http://archive.ubuntu.com/ubuntu/pool/main/u/ubuntulooks/ubuntulooks_${pkgver}.orig.tar.gz
 	gtkrc.Blue
 	gtkrc.Graphite)
-license=('GPL2')
+md5sums=('5ba7d915abe31870103aab5847278d13' '5c1f4113fb6c968ed34b7a8ac4e7e48f'\
+         'ad5d1f7e3f890326111e52667d19b2ce')
 
 build() {
-  cd ${startdir}/src/ubuntulooks-${pkgver}
+  cd ${srcdir}/ubuntulooks-${pkgver}
 
   #CFLAGS="${CFLAGS} -DHAVE_ANIMATION=1" 
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 
-  install -D -m644 ${startdir}/src/gtkrc.Blue ${startdir}/pkg/usr/share/themes/Human-Blue/gtk-2.0/gtkrc
-  install -D -m644 ${startdir}/src/gtkrc.Graphite ${startdir}/pkg/usr/share/themes/Human-Graphite/gtk-2.0/gtkrc
+  install -D -m644 ${srcdir}/gtkrc.Blue ${pkgdir}/usr/share/themes/Human-Blue/gtk-2.0/gtkrc
+  install -D -m644 ${srcdir}/gtkrc.Graphite ${pkgdir}/usr/share/themes/Human-Graphite/gtk-2.0/gtkrc
 }
-md5sums=('5ba7d915abe31870103aab5847278d13' '5c1f4113fb6c968ed34b7a8ac4e7e48f'\
-         'ad5d1f7e3f890326111e52667d19b2ce')



More information about the arch-commits mailing list